Debian Bug report logs - #671051
tntdb: FTBFS: configure: error: C++ compiler cannot create executables

version graph

Package: src:tntdb; Maintainer for src:tntdb is Kari Pahula <kaol@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Tue, 1 May 2012 14:21:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version tntdb/1.2-1

Fixed in version tntdb/1.2-2

Done: Kari Pahula <kaol@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#671051; Package src:tntdb. (Tue, 01 May 2012 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to Kari Pahula <kaol@debian.org>. (Tue, 01 May 2012 14:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: tntdb: FTBFS: configure: error: C++ compiler cannot create executables
Date: Tue, 01 May 2012 16:18:02 +0200
Package: src:tntdb
Version: 1.2-1
Severity: serious
Tags: sid wheezy
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the buildds:

checking whether make sets $(MAKE)... yes
checking whether the C++ compiler works... no
configure: error: in `/build/buildd-tntdb_1.2-1-kfreebsd-amd64-SDrq3N/tntdb-1.2':
configure: error: C++ compiler cannot create executables
See `config.log' for more details
make: *** [debian/stamp-autotools] Error 77

Full build log at
1.2-1

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, ucko@debian.org, Kari Pahula <kaol@debian.org>:
Bug#671051; Package src:tntdb. (Tue, 01 May 2012 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aaron M. Ucko" <ucko@debian.org>:
Extra info received and forwarded to list. Copy sent to ucko@debian.org, Kari Pahula <kaol@debian.org>. (Tue, 01 May 2012 17:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 671051@bugs.debian.org (full text, mbox):

From: "Aaron M. Ucko" <ucko@debian.org>
To: Debian Bug Tracking System <671051@bugs.debian.org>
Subject: Re: tntdb: FTBFS: configure: error: C++ compiler cannot create executables
Date: Tue, 01 May 2012 13:22:37 -0400
Source: tntdb
Version: 1.2-1
Followup-For: Bug #671051

It looks like tntdb tries to build with g++-4.7 despite not actually
build-depending on it.




Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. (Wed, 02 May 2012 15:21:13 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 02 May 2012 15:21:13 GMT) Full text and rfc822 format available.

Message #15 received at 671051-close@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 671051-close@bugs.debian.org
Subject: Bug#671051: fixed in tntdb 1.2-2
Date: Wed, 02 May 2012 15:20:12 +0000
Source: tntdb
Source-Version: 1.2-2

We believe that the bug you reported is fixed in the latest version of
tntdb, which is due to be installed in the Debian FTP archive:

libtntdb-dev_1.2-2_amd64.deb
  to main/t/tntdb/libtntdb-dev_1.2-2_amd64.deb
libtntdb3_1.2-2_amd64.deb
  to main/t/tntdb/libtntdb3_1.2-2_amd64.deb
tntdb-mysql3_1.2-2_amd64.deb
  to main/t/tntdb/tntdb-mysql3_1.2-2_amd64.deb
tntdb-postgresql3_1.2-2_amd64.deb
  to main/t/tntdb/tntdb-postgresql3_1.2-2_amd64.deb
tntdb-sqlite3_1.2-2_amd64.deb
  to main/t/tntdb/tntdb-sqlite3_1.2-2_amd64.deb
tntdb_1.2-2.debian.tar.gz
  to main/t/tntdb/tntdb_1.2-2.debian.tar.gz
tntdb_1.2-2.dsc
  to main/t/tntdb/tntdb_1.2-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671051@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kari Pahula <kaol@debian.org> (supplier of updated tntdb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 May 2012 17:23:48 +0300
Source: tntdb
Binary: libtntdb3 tntdb-mysql3 tntdb-postgresql3 tntdb-sqlite3 libtntdb-dev
Architecture: source amd64
Version: 1.2-2
Distribution: unstable
Urgency: low
Maintainer: Kari Pahula <kaol@debian.org>
Changed-By: Kari Pahula <kaol@debian.org>
Description: 
 libtntdb-dev - Development headers for tntdb
 libtntdb3  - C++ class library for easy database access
 tntdb-mysql3 - MySQL backend for tntdb database access library
 tntdb-postgresql3 - PostgreSQL backend for tntdb database access library
 tntdb-sqlite3 - SQLite backend for tntdb database access library
Closes: 667393 671051
Changes: 
 tntdb (1.2-2) unstable; urgency=low
 .
   * Removed CXX=g++-4.7 from configure's parameters, fix FTBFS.
     (Closes: #671051)
   * This version won't FTBFS with g++-4.7 (assuming b-d or g++ (>= 4.7))
     (Closes: #667393)
Checksums-Sha1: 
 13e76d59b1c2562a25372c82d1763b072f1b53cb 1350 tntdb_1.2-2.dsc
 3fccf3270d95734f9152f5719fbf239543b052f8 3676 tntdb_1.2-2.debian.tar.gz
 8c0c1fe2fa37bd45b52c63e7e62f720c13f5e4bf 131784 libtntdb3_1.2-2_amd64.deb
 51ccde2bbb2f9cd9c6186f92f9e424876d620341 97356 tntdb-mysql3_1.2-2_amd64.deb
 972bee13d8223af4f5d916d819caac340aee47cf 84036 tntdb-postgresql3_1.2-2_amd64.deb
 ed929f6c0c1f2e379123ca96a25afbf28f7632fd 64306 tntdb-sqlite3_1.2-2_amd64.deb
 f88eac09cadca1043d414cb600e032d454cbdb3b 301864 libtntdb-dev_1.2-2_amd64.deb
Checksums-Sha256: 
 ae158b77a6f3f848473deaba6df23b98d7b6a7f2747300a317bafdbd6c532306 1350 tntdb_1.2-2.dsc
 41023c2c834c5358621ceda0361fe381432f53bb18c15b5a75cc2c133d336410 3676 tntdb_1.2-2.debian.tar.gz
 bef40e7f54f5b08cad38b2029483d590bf3f2b25778f084e7993dbc1a0ff900b 131784 libtntdb3_1.2-2_amd64.deb
 16847cb420a36b8231d799ea6b9be66230a70d468243953a017cfffb254e8f81 97356 tntdb-mysql3_1.2-2_amd64.deb
 f64698b250eeb85615a22c5c86bc2fcfaa5dd85b1e24b5ed7f65d4f9a9fed4d6 84036 tntdb-postgresql3_1.2-2_amd64.deb
 7fc8490ec295087423d2ffcd78773d774d9edbc3faaf5678e5fbef375359a450 64306 tntdb-sqlite3_1.2-2_amd64.deb
 0412b83b83b2ecdd1d45e799df2d574e9229ef1ac7a305765202fa660ac44421 301864 libtntdb-dev_1.2-2_amd64.deb
Files: 
 399235c64c87b39985b6a4fa18e5dadd 1350 libs optional tntdb_1.2-2.dsc
 acdbd64afa547816cf2d89dd52bd58a1 3676 libs optional tntdb_1.2-2.debian.tar.gz
 e1ac7129f2b557b16a69ded683bf037b 131784 libs optional libtntdb3_1.2-2_amd64.deb
 d646bef3e1cf63ea4ca06fc8e11effdd 97356 libs optional tntdb-mysql3_1.2-2_amd64.deb
 a59bd3ea48a5582e27944daf152634e2 84036 libs optional tntdb-postgresql3_1.2-2_amd64.deb
 29a6fd6a0729d6f8f385d4152c83fbc3 64306 libs optional tntdb-sqlite3_1.2-2_amd64.deb
 bd081993ef76c178db156e7f26ed6b5e 301864 libdevel optional libtntdb-dev_1.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+hREMACgkQeYl9593Atw3WqACfYRzrM3unizebFyFWEiweQ7ji
MTYAn1cXCVyYzyMHPtjQJT6ZejubBhFS
=v16O
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 31 May 2012 07:38:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:46:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.